NX Open C++ Reference Guide
|
GapFlushnessBuilder class <br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisObjectCollection::CreateGapFlushnessBuilder GeometricAnalysis::AnalysisObjectCollection::CreateGapFlushnessBuilder @endlink <br>
Default values. More...
Public Types | |
enum | DisplayOptions { DisplayOptionsGapOnly, DisplayOptionsFlushnessOnly, DisplayOptionsBoth } |
This enum represents Label Display Option type. More... | |
enum | EvaluationModes { EvaluationModesPoint, EvaluationModesCurveNumber, EvaluationModesCurve } |
This enum represents evaluation mode. More... | |
enum | EvaluationTypes { EvaluationTypesAbsolute, EvaluationTypesVisual } |
This enum represents the Gap and Flushness Analysis Object evaluation types. More... | |
enum | PanelTypes { PanelTypesHem, PanelTypesFlange, PanelTypesWall } |
This enum represents panel type. More... | |
enum | SectionAlignments { SectionAlignmentsCurve, SectionAlignmentsCurveView, SectionAlignmentsSpecifiedDirection } |
This enum represents cross-section alignment type. More... | |
enum | SectionCurveOptions { SectionCurveOptionsContactCurve, SectionCurveOptionsUserDefined } |
This enum represents Cross Section Curves Options. More... | |
Public Member Functions | |
NXOpen::ScCollector * | BasePanelFaces () |
Returns the Base Panel face selection Created in NX5.0.0. | |
NXOpen::Section * | BasePanelInnerContactCurves () |
Returns the Base Panel inner contact section Created in NX5.0.0. | |
NXOpen::Section * | BasePanelOuterContactCurves () |
Returns the Base Panel outer contact section Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::GapFlushnessBuilder::PanelTypes | BasePanelType () |
Returns the Base Panel type Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionCurveOptions | CrossSectionCurveOption () |
Returns the cross section curve option Created in NX5.0.0. | |
NXOpen::Section * | CrossSectionCurves () |
Returns the Cross Section Curves Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationModes | EvaluationMode () |
Returns the evaluation Method Created in NX5.0.0. | |
NXOpen::Point * | EvaluationPoint () |
Returns the evaluation point Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationTypes | EvaluationType () |
Returns the evaluation type Created in NX5.0.0. | |
bool | IsNegativeToleranceLabelDisplayed () |
Returns the Label Display negative tolerance Created in NX5.0.0. | |
bool | IsNominalLabelDisplayed () |
Returns the Label Display Nominal Created in NX5.0.0. | |
bool | IsPositiveToleranceLabelDisplayed () |
Returns the Label Display positive tolerance Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::GapFlushnessBuilder::DisplayOptions | LabelDisplayOption () |
Returns the display option type Created in NX5.0.0. | |
double | NegativeFlushnessTolerance () |
Returns the negative tolerance for flushness Created in NX5.0.0. | |
double | NegativeGapTolerance () |
Returns the negative tolerance for gap Created in NX5.0.0. | |
double | NominalFlushness () |
Returns the nominal value for flushness Created in NX5.0.0. | |
double | NominalGap () |
Returns the nominal value for gap Created in NX5.0.0. | |
double | PositiveFlushnessTolerance () |
Returns the positive tolerance for flushness Created in NX5.0.0. | |
double | PositiveGapTolerance () |
Returns the positive tolerance for gap Created in NX5.0.0. | |
bool | PreviewOption () |
Returns the preview option Created in NX5.0.0. | |
NXOpen::Expression * | SampleDistance () |
Returns the Sample Distance Created in NX5.0.0. | |
int | SampleNumber () |
Returns the sample number Created in NX5.0.0. | |
NXOpen::ScCollector * | SecondPanelFaces () |
Returns the Second Panel face selection Created in NX5.0.0. | |
NXOpen::Section * | SecondPanelInnerContactCurves () |
Returns the Second Panel inner contact section Created in NX5.0.0. | |
NXOpen::Section * | SecondPanelOuterContactCurves () |
Returns the Second Panel outer contact section Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::GapFlushnessBuilder::PanelTypes | SecondPanelType () |
Returns the Second Panel type Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionAlignments | SectionAlignment () |
Returns the Section Alignment Created in NX5.0.0. | |
NXOpen::Direction * | SectionAlignmentDirection () |
Returns the section alignment vector Created in NX5.0.0. | |
void | SetBasePanelType (NXOpen::GeometricAnalysis::GapFlushnessBuilder::PanelTypes panelType) |
Sets the Base Panel type Created in NX5.0.0. | |
void | SetCrossSectionCurveOption (NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionCurveOptions sectionCurveOption) |
Sets the cross section curve option Created in NX5.0.0. | |
void | SetEvaluationMode (NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationModes evaluationMode) |
Sets the evaluation Method Created in NX5.0.0. | |
void | SetEvaluationPoint (NXOpen::Point *evaluationPoint) |
Sets the evaluation point Created in NX5.0.0. | |
void | SetEvaluationType (NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationTypes evaluationType) |
Sets the evaluation type Created in NX5.0.0. | |
void | SetLabelDisplayOption (NXOpen::GeometricAnalysis::GapFlushnessBuilder::DisplayOptions displayOption) |
Sets the display option type Created in NX5.0.0. | |
void | SetNegativeFlushnessTolerance (double negativeTolFlush) |
Sets the negative tolerance for flushness Created in NX5.0.0. | |
void | SetNegativeGapTolerance (double negativeTolGap) |
Sets the negative tolerance for gap Created in NX5.0.0. | |
void | SetNegativeToleranceLabelDisplayed (bool showlabelNegative) |
Sets the Label Display negative tolerance Created in NX5.0.0. | |
void | SetNominalFlushness (double nominalFlush) |
Sets the nominal value for flushness Created in NX5.0.0. | |
void | SetNominalGap (double nominalGap) |
Sets the nominal value for gap Created in NX5.0.0. | |
void | SetNominalLabelDisplayed (bool showlabelNominal) |
Sets the Label Display Nominal Created in NX5.0.0. | |
void | SetPositiveFlushnessTolerance (double positiveTolFlush) |
Sets the positive tolerance for flushness Created in NX5.0.0. | |
void | SetPositiveGapTolerance (double positiveTolGap) |
Sets the positive tolerance for gap Created in NX5.0.0. | |
void | SetPositiveToleranceLabelDisplayed (bool showlabelPositive) |
Sets the Label Display positive tolerance Created in NX5.0.0. | |
void | SetPreviewOption (bool previewOption) |
Sets the preview option Created in NX5.0.0. | |
void | SetSampleNumber (int sampleNumber) |
Sets the sample number Created in NX5.0.0. | |
void | SetSecondPanelType (NXOpen::GeometricAnalysis::GapFlushnessBuilder::PanelTypes panelType) |
Sets the Second Panel type Created in NX5.0.0. | |
void | SetSectionAlignment (NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionAlignments sectionAlignment) |
Sets the Section Alignment Created in NX5.0.0. | |
void | SetSectionAlignmentDirection (NXOpen::Direction *sectionAlignmentDirection) |
Sets the section alignment vector Created in NX5.0.0. | |
void | SetShowOutRangeLabels (bool showOutRangeLabels) |
Sets the show out of range labels Created in NX5.0.0. | |
bool | ShowOutRangeLabels () |
Returns the show out of range labels Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
GapFlushnessBuilder class <br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisObjectCollection::CreateGapFlushnessBuilder GeometricAnalysis::AnalysisObjectCollection::CreateGapFlushnessBuilder @endlink <br>
Default values.
Property | Value |
---|---|
SampleNumber |
10 |
Created in NX5.0.0.
This enum represents Label Display Option type.
NXOpen::ScCollector* NXOpen::GeometricAnalysis::GapFlushnessBuilder::BasePanelFaces | ( | ) |
Returns the Base Panel face selection
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::GeometricAnalysis::GapFlushnessBuilder::BasePanelInnerContactCurves | ( | ) |
Returns the Base Panel inner contact section
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::GeometricAnalysis::GapFlushnessBuilder::BasePanelOuterContactCurves | ( | ) |
Returns the Base Panel outer contact section
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricAnalysis::GapFlushnessBuilder::PanelTypes NXOpen::GeometricAnalysis::GapFlushnessBuilder::BasePanelType | ( | ) |
Returns the Base Panel type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionCurveOptions NXOpen::GeometricAnalysis::GapFlushnessBuilder::CrossSectionCurveOption | ( | ) |
Returns the cross section curve option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::GeometricAnalysis::GapFlushnessBuilder::CrossSectionCurves | ( | ) |
Returns the Cross Section Curves
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationModes NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationMode | ( | ) |
Returns the evaluation Method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Point* NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationPoint | ( | ) |
Returns the evaluation point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationTypes NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationType | ( | ) |
Returns the evaluation type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::GeometricAnalysis::GapFlushnessBuilder::IsNegativeToleranceLabelDisplayed | ( | ) |
Returns the Label Display negative tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::GeometricAnalysis::GapFlushnessBuilder::IsNominalLabelDisplayed | ( | ) |
Returns the Label Display Nominal
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::GeometricAnalysis::GapFlushnessBuilder::IsPositiveToleranceLabelDisplayed | ( | ) |
Returns the Label Display positive tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricAnalysis::GapFlushnessBuilder::DisplayOptions NXOpen::GeometricAnalysis::GapFlushnessBuilder::LabelDisplayOption | ( | ) |
Returns the display option type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::GeometricAnalysis::GapFlushnessBuilder::NegativeFlushnessTolerance | ( | ) |
Returns the negative tolerance for flushness
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::GeometricAnalysis::GapFlushnessBuilder::NegativeGapTolerance | ( | ) |
Returns the negative tolerance for gap
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::GeometricAnalysis::GapFlushnessBuilder::NominalFlushness | ( | ) |
Returns the nominal value for flushness
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::GeometricAnalysis::GapFlushnessBuilder::NominalGap | ( | ) |
Returns the nominal value for gap
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::GeometricAnalysis::GapFlushnessBuilder::PositiveFlushnessTolerance | ( | ) |
Returns the positive tolerance for flushness
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::GeometricAnalysis::GapFlushnessBuilder::PositiveGapTolerance | ( | ) |
Returns the positive tolerance for gap
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::GeometricAnalysis::GapFlushnessBuilder::PreviewOption | ( | ) |
Returns the preview option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Expression* NXOpen::GeometricAnalysis::GapFlushnessBuilder::SampleDistance | ( | ) |
Returns the Sample Distance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
int NXOpen::GeometricAnalysis::GapFlushnessBuilder::SampleNumber | ( | ) |
Returns the sample number
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::ScCollector* NXOpen::GeometricAnalysis::GapFlushnessBuilder::SecondPanelFaces | ( | ) |
Returns the Second Panel face selection
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::GeometricAnalysis::GapFlushnessBuilder::SecondPanelInnerContactCurves | ( | ) |
Returns the Second Panel inner contact section
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::GeometricAnalysis::GapFlushnessBuilder::SecondPanelOuterContactCurves | ( | ) |
Returns the Second Panel outer contact section
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricAnalysis::GapFlushnessBuilder::PanelTypes NXOpen::GeometricAnalysis::GapFlushnessBuilder::SecondPanelType | ( | ) |
Returns the Second Panel type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionAlignments NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionAlignment | ( | ) |
Returns the Section Alignment
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Direction* NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionAlignmentDirection | ( | ) |
Returns the section alignment vector
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetBasePanelType | ( | NXOpen::GeometricAnalysis::GapFlushnessBuilder::PanelTypes | panelType | ) |
Sets the Base Panel type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
panelType | panel type |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetCrossSectionCurveOption | ( | NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionCurveOptions | sectionCurveOption | ) |
Sets the cross section curve option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sectionCurveOption | section curve option |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetEvaluationMode | ( | NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationModes | evaluationMode | ) |
Sets the evaluation Method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
evaluationMode | evaluation mode |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetEvaluationPoint | ( | NXOpen::Point * | evaluationPoint | ) |
Sets the evaluation point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
evaluationPoint | Evaluation point |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetEvaluationType | ( | NXOpen::GeometricAnalysis::GapFlushnessBuilder::EvaluationTypes | evaluationType | ) |
Sets the evaluation type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
evaluationType | evaluation type |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetLabelDisplayOption | ( | NXOpen::GeometricAnalysis::GapFlushnessBuilder::DisplayOptions | displayOption | ) |
Sets the display option type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
displayOption | display option |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetNegativeFlushnessTolerance | ( | double | negativeTolFlush | ) |
Sets the negative tolerance for flushness
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
negativeTolFlush | negativetolflush |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetNegativeGapTolerance | ( | double | negativeTolGap | ) |
Sets the negative tolerance for gap
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
negativeTolGap | negativetolgap |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetNegativeToleranceLabelDisplayed | ( | bool | showlabelNegative | ) |
Sets the Label Display negative tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
showlabelNegative | showlabel negative |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetNominalFlushness | ( | double | nominalFlush | ) |
Sets the nominal value for flushness
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
nominalFlush | nominalflush |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetNominalGap | ( | double | nominalGap | ) |
Sets the nominal value for gap
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
nominalGap | nominalgap |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetNominalLabelDisplayed | ( | bool | showlabelNominal | ) |
Sets the Label Display Nominal
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
showlabelNominal | showlabel nominal |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetPositiveFlushnessTolerance | ( | double | positiveTolFlush | ) |
Sets the positive tolerance for flushness
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
positiveTolFlush | positivetolflush |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetPositiveGapTolerance | ( | double | positiveTolGap | ) |
Sets the positive tolerance for gap
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
positiveTolGap | positivetolgap |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetPositiveToleranceLabelDisplayed | ( | bool | showlabelPositive | ) |
Sets the Label Display positive tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
showlabelPositive | showlabel positive |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetPreviewOption | ( | bool | previewOption | ) |
Sets the preview option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
previewOption | previewoption |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetSampleNumber | ( | int | sampleNumber | ) |
Sets the sample number
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sampleNumber | samplenumber |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetSecondPanelType | ( | NXOpen::GeometricAnalysis::GapFlushnessBuilder::PanelTypes | panelType | ) |
Sets the Second Panel type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
panelType | panel type |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetSectionAlignment | ( | NXOpen::GeometricAnalysis::GapFlushnessBuilder::SectionAlignments | sectionAlignment | ) |
Sets the Section Alignment
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sectionAlignment | section alignment |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetSectionAlignmentDirection | ( | NXOpen::Direction * | sectionAlignmentDirection | ) |
void NXOpen::GeometricAnalysis::GapFlushnessBuilder::SetShowOutRangeLabels | ( | bool | showOutRangeLabels | ) |
Sets the show out of range labels
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
showOutRangeLabels | showoutrangelabels |
bool NXOpen::GeometricAnalysis::GapFlushnessBuilder::ShowOutRangeLabels | ( | ) |
Returns the show out of range labels
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")